%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(CPAN.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/stat.pm) perl(Module/Build.pm) perl(Test/Builder.pm) perl(Test/More.pm) perl(Test/Tester.pm) perl(User/pwent.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Test-Unix-User
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Test::Builder based tests for Unix users and home directories
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NI/NIKC/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Test::Unix::User tests => 2;

    user_ok({ name => 'nik', uid => 1000, ... },
            "Verify nik's account");

    homedir_ok({ name => 'nik', perm => 0755, ... },
               "Verify nik's home directory");

Test::Unix::User automatically exports `user_ok()' and `homedir_ok()' 
to make it easier to test whether or not the Unix users and home 
directories on the system have been correctly configured.

Test::Unix::User uses Test::Builder, so plays nicely with Test::Simple,
Test::More, and other Test::Builder based modules.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

